/**
 * RoleClassIngredientEntityExt2.java
 *
 * File generated from the medication2::RoleClassIngredientEntityExt2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassIngredientEntityExt2.
 *
 * 
 */

@XmlType(name = "RoleClassIngredientEntityExt")
@XmlEnum
@XmlRootElement(name = "RoleClassIngredientEntityExt2")
public enum RoleClassIngredientEntityExt2 {
	@XmlEnumValue("INGR")
	INGR("INGR"),
	@XmlEnumValue("ACTI")
	ACTI("ACTI"),
	@XmlEnumValue("ACTM")
	ACTM("ACTM"),
	@XmlEnumValue("ADTV")
	ADTV("ADTV"),
	@XmlEnumValue("BASE")
	BASE("BASE"),
	@XmlEnumValue("IACT")
	IACT("IACT"),
	@XmlEnumValue("COLR")
	COLR("COLR"),
	@XmlEnumValue("FLVR")
	FLVR("FLVR"),
	@XmlEnumValue("PRSV")
	PRSV("PRSV"),
	@XmlEnumValue("STBL")
	STBL("STBL");
	
	private final String value;

    RoleClassIngredientEntityExt2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassIngredientEntityExt2 fromValue(String v) {
        for (RoleClassIngredientEntityExt2 c: RoleClassIngredientEntityExt2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
